# Uses of Enum Class
org.springframework.aot.generate.GeneratedFiles.Kind

Packages that use GeneratedFiles.Kind
Package
Description
org.springframework.aot.generate
Support classes for components that contribute generated code equivalent to a runtime behavior.

## Uses of GeneratedFiles.Kind in org.springframework.aot.generate

Methods in org.springframework.aot.generate that return GeneratedFiles.Kind
Modifier and Type
Method
Description
`static GeneratedFiles.Kind`
GeneratedFiles.Kind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GeneratedFiles.Kind[]`
GeneratedFiles.Kind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.springframework.aot.generate with parameters of type GeneratedFiles.Kind
Modifier and Type
Method
Description
`default void`
GeneratedFiles.`addFile(GeneratedFiles.Kind kind, String path, CharSequence content)`
Add a generated file of the specified `GeneratedFiles.Kind` with content from the given `CharSequence`.
`default void`
GeneratedFiles.`addFile(GeneratedFiles.Kind kind, String path, InputStreamSource content)`
Add a generated file of the specified `GeneratedFiles.Kind` with content from the given `InputStreamSource`.
`default void`
GeneratedFiles.`addFile(GeneratedFiles.Kind kind, String path, ThrowingConsumer<Appendable> content)`
Add a generated file of the specified `GeneratedFiles.Kind` with content written to an `Appendable` passed to the given `ThrowingConsumer`.
`InputStreamSource`
InMemoryGeneratedFiles.`getGeneratedFile(GeneratedFiles.Kind kind, String path)`
Return the `InputStreamSource` of specified file.
`String`
InMemoryGeneratedFiles.`getGeneratedFileContent(GeneratedFiles.Kind kind, String path)`
Return the content of the specified file.
`Map<String,InputStreamSource>`
InMemoryGeneratedFiles.`getGeneratedFiles(GeneratedFiles.Kind kind)`
Return a `Map` of the generated files of a specific `GeneratedFiles.Kind`.
`void`
FileSystemGeneratedFiles.`handleFile(GeneratedFiles.Kind kind, String path, ThrowingConsumer<GeneratedFiles.FileHandler> handler)`
`void`
GeneratedFiles.`handleFile(GeneratedFiles.Kind kind, String path, ThrowingConsumer<GeneratedFiles.FileHandler> handler)`
Handle a generated file of the specified `GeneratedFiles.Kind` with the given handler.
`void`
InMemoryGeneratedFiles.`handleFile(GeneratedFiles.Kind kind, String path, ThrowingConsumer<GeneratedFiles.FileHandler> handler)`
Constructor parameters in org.springframework.aot.generate with type arguments of type GeneratedFiles.Kind
Modifier
Constructor
Description
``
`FileSystemGeneratedFiles(Function<GeneratedFiles.Kind,Path> roots)`
Create a new `FileSystemGeneratedFiles` instance with all files stored under the root provided by the given `Function`.